Samuel

OK, got that thanks.

But alas, although it now compiles (after a bit of hacking around ) under 20.1, it doesn't actually work.

Back to the drawing board.

Mike